Skip to navigation

Create an org-level secret

Create a secret for an organization.

Authentication

AuthorizationBearer

Personal API Key (apk_user_) or Service API Key (apk_)

Path parameters

org_idstringRequired

Request

This endpoint expects an object.
keystringRequired

Name/key of the secret (e.g. GITHUB_TOKEN).

typeenumRequired

Secret type: key-value, cookie, dictionary, or totp.

Allowed values:
valuestringRequired
The secret value to store.
is_sensitivebooleanOptionalDefaults to true

Whether to mask the value in the UI (default true).

notestring or nullOptional

Optional human-readable note describing the secret purpose.

Response

Successful Response
access_typeenum

Scope of the secret: org or personal.

Allowed values:
created_atinteger
ISO 8601 timestamp when the secret was created.
created_bystring
User ID of the creator.
is_sensitiveboolean
Whether the value is masked in the UI.
keystring or null

Name/key of the secret.

notestring or null

Human-readable description of the secret purpose.

secret_idstring

Unique identifier for the secret (prefix secret-).

secret_typeenum

Type of the secret: key-value, cookie, dictionary, or totp.

Allowed values:
updated_atinteger or nullOptional
ISO 8601 timestamp of the last update.
updated_bystring or nullOptional
User ID of the last person to update the secret.

Errors

422
Unprocessable Entity Error